<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:25 PST 2005 -->
<TITLE>
: Interface  SQLStatementsPackage
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SQLStatementsPackage.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsFactory.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLTransactionStatement.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SQLStatementsPackage.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.sql.statements</FONT>
<BR>
Interface  SQLStatementsPackage</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD>org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier</DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/impl/SQLStatementsPackageImpl.html">SQLStatementsPackageImpl</A></DD>
</DL>
<HR>
<DL>
<DT>public interface <B>SQLStatementsPackage</B><DT>extends org.eclipse.emf.ecore.EPackage</DL>

<P>
<!-- begin-user-doc -->
 The <b>Package</b> for the model.
 It contains accessors for the meta objects to represent
 <ul>
   <li>each class,</li>
   <li>each feature of each class,</li>
   <li>each enum,</li>
   <li>and each data type</li>
 </ul>
 <!-- end-user-doc -->
<P>
<DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsFactory.html"><CODE>SQLStatementsFactory</CODE></A></DL>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->

<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.ecore.EPackage"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.ecore.EPackage</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html">SQLStatementsPackage</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#eINSTANCE">eINSTANCE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The singleton instance of the package.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#eNAME">eNAME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The package name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#eNS_PREFIX">eNS_PREFIX</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The package namespace name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#eNS_URI">eNS_URI</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The package namespace URI.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_CONNECTION_STATEMENT">SQL_CONNECTION_STATEMENT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLConnectionStatement.html"><CODE><em>SQL Connection Statement</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_CONNECTION_STATEMENT_FEATURE_COUNT">SQL_CONNECTION_STATEMENT_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>SQL Connection Statement</em>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_CONTROL_STATEMENT">SQL_CONTROL_STATEMENT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLControlStatement.html"><CODE><em>SQL Control Statement</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_CONTROL_STATEMENT_FEATURE_COUNT">SQL_CONTROL_STATEMENT_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>SQL Control Statement</em>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_DATA_CHANGE_STATEMENT">SQL_DATA_CHANGE_STATEMENT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDataChangeStatement.html"><CODE><em>SQL Data Change Statement</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_DATA_CHANGE_STATEMENT_FEATURE_COUNT">SQL_DATA_CHANGE_STATEMENT_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>SQL Data Change Statement</em>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_DATA_STATEMENT">SQL_DATA_STATEMENT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDataStatement.html"><CODE><em>SQL Data Statement</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_DATA_STATEMENT_FEATURE_COUNT">SQL_DATA_STATEMENT_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>SQL Data Statement</em>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_DIAGNOSTICS_STATEMENT">SQL_DIAGNOSTICS_STATEMENT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDiagnosticsStatement.html"><CODE><em>SQL Diagnostics Statement</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_DIAGNOSTICS_STATEMENT_FEATURE_COUNT">SQL_DIAGNOSTICS_STATEMENT_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>SQL Diagnostics Statement</em>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_DYNAMIC_STATEMENT">SQL_DYNAMIC_STATEMENT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDynamicStatement.html"><CODE><em>SQL Dynamic Statement</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_DYNAMIC_STATEMENT_FEATURE_COUNT">SQL_DYNAMIC_STATEMENT_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>SQL Dynamic Statement</em>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_SCHEMA_STATEMENT">SQL_SCHEMA_STATEMENT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLSchemaStatement.html"><CODE><em>SQL Schema Statement</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_SCHEMA_STATEMENT_FEATURE_COUNT">SQL_SCHEMA_STATEMENT_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>SQL Schema Statement</em>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_SESSION_STATEMENT">SQL_SESSION_STATEMENT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLSessionStatement.html"><CODE><em>SQL Session Statement</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_SESSION_STATEMENT_FEATURE_COUNT">SQL_SESSION_STATEMENT_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>SQL Session Statement</em>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_STATEMENT">SQL_STATEMENT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatement.html"><CODE><em>SQL Statement</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_STATEMENT_DEFAULT">SQL_STATEMENT_DEFAULT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/impl/SQLStatementDefaultImpl.html"><CODE><em>SQL Statement Default</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_STATEMENT_DEFAULT__DEPENDENCIES">SQL_STATEMENT_DEFAULT__DEPENDENCIES</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>Dependencies</b></em>' containment reference list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_STATEMENT_DEFAULT__DESCRIPTION">SQL_STATEMENT_DEFAULT__DESCRIPTION</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>Description</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_STATEMENT_DEFAULT__EANNOTATIONS">SQL_STATEMENT_DEFAULT__EANNOTATIONS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_STATEMENT_DEFAULT__LABEL">SQL_STATEMENT_DEFAULT__LABEL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>Label</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_STATEMENT_DEFAULT__NAME">SQL_STATEMENT_DEFAULT__NAME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>Name</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_STATEMENT_DEFAULT__SQL">SQL_STATEMENT_DEFAULT__SQL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The feature id for the '<em><b>SQL</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_STATEMENT_DEFAULT_FEATURE_COUNT">SQL_STATEMENT_DEFAULT_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>SQL Statement Default</em>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_STATEMENT_FEATURE_COUNT">SQL_STATEMENT_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>SQL Statement</em>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_TRANSACTION_STATEMENT">SQL_TRANSACTION_STATEMENT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLTransactionStatement.html"><CODE><em>SQL Transaction Statement</em></CODE></A>' class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#SQL_TRANSACTION_STATEMENT_FEATURE_COUNT">SQL_TRANSACTION_STATEMENT_FEATURE_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The number of structural features of the the '<em>SQL Transaction Statement</em>' class.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#getSQLConnectionStatement()">getSQLConnectionStatement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLConnectionStatement.html"><CODE><em>SQL Connection Statement</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#getSQLControlStatement()">getSQLControlStatement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLControlStatement.html"><CODE><em>SQL Control Statement</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#getSQLDataChangeStatement()">getSQLDataChangeStatement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDataChangeStatement.html"><CODE><em>SQL Data Change Statement</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#getSQLDataStatement()">getSQLDataStatement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDataStatement.html"><CODE><em>SQL Data Statement</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#getSQLDiagnosticsStatement()">getSQLDiagnosticsStatement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDiagnosticsStatement.html"><CODE><em>SQL Diagnostics Statement</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#getSQLDynamicStatement()">getSQLDynamicStatement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDynamicStatement.html"><CODE><em>SQL Dynamic Statement</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#getSQLSchemaStatement()">getSQLSchemaStatement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLSchemaStatement.html"><CODE><em>SQL Schema Statement</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#getSQLSessionStatement()">getSQLSessionStatement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLSessionStatement.html"><CODE><em>SQL Session Statement</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#getSQLStatement()">getSQLStatement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatement.html"><CODE><em>SQL Statement</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EAttribute</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#getSQLStatementDefault_SQL()">getSQLStatementDefault_SQL</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for the attribute '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementDefault.html#getSQL()"><CODE><em>SQL</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#getSQLStatementDefault()">getSQLStatementDefault</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementDefault.html"><CODE><em>SQL Statement Default</em></CODE></A>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsFactory.html">SQLStatementsFactory</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#getSQLStatementsFactory()">getSQLStatementsFactory</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the factory that creates the instances of the model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EClass</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#getSQLTransactionStatement()">getSQLTransactionStatement</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLTransactionStatement.html"><CODE><em>SQL Transaction Statement</em></CODE></A>'.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EPackage"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EPackage</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.ENamedElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.ENamedElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getName, setName</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EModelElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EModelElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getEAnnotation, getEAnnotations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Field Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="eNAME"><!-- --></A><H3>
eNAME</H3>
<PRE>
public static final java.lang.String <B>eNAME</B></PRE>
<DL>
<DD>The package name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="eNS_URI"><!-- --></A><H3>
eNS_URI</H3>
<PRE>
public static final java.lang.String <B>eNS_URI</B></PRE>
<DL>
<DD>The package namespace URI.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="eNS_PREFIX"><!-- --></A><H3>
eNS_PREFIX</H3>
<PRE>
public static final java.lang.String <B>eNS_PREFIX</B></PRE>
<DL>
<DD>The package namespace name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="eINSTANCE"><!-- --></A><H3>
eINSTANCE</H3>
<PRE>
public static final <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html">SQLStatementsPackage</A> <B>eINSTANCE</B></PRE>
<DL>
<DD>The singleton instance of the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_STATEMENT"><!-- --></A><H3>
SQL_STATEMENT</H3>
<PRE>
public static final int <B>SQL_STATEMENT</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatement.html"><CODE><em>SQL Statement</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatement.html"><CODE>SQLStatement</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/impl/SQLStatementsPackageImpl.html#getSQLStatement()"><CODE>SQLStatementsPackageImpl.getSQLStatement()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="SQL_STATEMENT_FEATURE_COUNT"><!-- --></A><H3>
SQL_STATEMENT_FEATURE_COUNT</H3>
<PRE>
public static final int <B>SQL_STATEMENT_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>SQL Statement</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_DATA_STATEMENT"><!-- --></A><H3>
SQL_DATA_STATEMENT</H3>
<PRE>
public static final int <B>SQL_DATA_STATEMENT</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDataStatement.html"><CODE><em>SQL Data Statement</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDataStatement.html"><CODE>SQLDataStatement</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/impl/SQLStatementsPackageImpl.html#getSQLDataStatement()"><CODE>SQLStatementsPackageImpl.getSQLDataStatement()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="SQL_DATA_STATEMENT_FEATURE_COUNT"><!-- --></A><H3>
SQL_DATA_STATEMENT_FEATURE_COUNT</H3>
<PRE>
public static final int <B>SQL_DATA_STATEMENT_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>SQL Data Statement</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_SCHEMA_STATEMENT"><!-- --></A><H3>
SQL_SCHEMA_STATEMENT</H3>
<PRE>
public static final int <B>SQL_SCHEMA_STATEMENT</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLSchemaStatement.html"><CODE><em>SQL Schema Statement</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLSchemaStatement.html"><CODE>SQLSchemaStatement</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/impl/SQLStatementsPackageImpl.html#getSQLSchemaStatement()"><CODE>SQLStatementsPackageImpl.getSQLSchemaStatement()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="SQL_SCHEMA_STATEMENT_FEATURE_COUNT"><!-- --></A><H3>
SQL_SCHEMA_STATEMENT_FEATURE_COUNT</H3>
<PRE>
public static final int <B>SQL_SCHEMA_STATEMENT_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>SQL Schema Statement</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_CONTROL_STATEMENT"><!-- --></A><H3>
SQL_CONTROL_STATEMENT</H3>
<PRE>
public static final int <B>SQL_CONTROL_STATEMENT</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLControlStatement.html"><CODE><em>SQL Control Statement</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLControlStatement.html"><CODE>SQLControlStatement</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/impl/SQLStatementsPackageImpl.html#getSQLControlStatement()"><CODE>SQLStatementsPackageImpl.getSQLControlStatement()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="SQL_CONTROL_STATEMENT_FEATURE_COUNT"><!-- --></A><H3>
SQL_CONTROL_STATEMENT_FEATURE_COUNT</H3>
<PRE>
public static final int <B>SQL_CONTROL_STATEMENT_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>SQL Control Statement</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_DATA_CHANGE_STATEMENT"><!-- --></A><H3>
SQL_DATA_CHANGE_STATEMENT</H3>
<PRE>
public static final int <B>SQL_DATA_CHANGE_STATEMENT</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDataChangeStatement.html"><CODE><em>SQL Data Change Statement</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDataChangeStatement.html"><CODE>SQLDataChangeStatement</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/impl/SQLStatementsPackageImpl.html#getSQLDataChangeStatement()"><CODE>SQLStatementsPackageImpl.getSQLDataChangeStatement()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="SQL_DATA_CHANGE_STATEMENT_FEATURE_COUNT"><!-- --></A><H3>
SQL_DATA_CHANGE_STATEMENT_FEATURE_COUNT</H3>
<PRE>
public static final int <B>SQL_DATA_CHANGE_STATEMENT_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>SQL Data Change Statement</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_STATEMENT_DEFAULT"><!-- --></A><H3>
SQL_STATEMENT_DEFAULT</H3>
<PRE>
public static final int <B>SQL_STATEMENT_DEFAULT</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/impl/SQLStatementDefaultImpl.html"><CODE><em>SQL Statement Default</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/impl/SQLStatementDefaultImpl.html"><CODE>SQLStatementDefaultImpl</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/impl/SQLStatementsPackageImpl.html#getSQLStatementDefault()"><CODE>SQLStatementsPackageImpl.getSQLStatementDefault()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="SQL_STATEMENT_DEFAULT__EANNOTATIONS"><!-- --></A><H3>
SQL_STATEMENT_DEFAULT__EANNOTATIONS</H3>
<PRE>
public static final int <B>SQL_STATEMENT_DEFAULT__EANNOTATIONS</B></PRE>
<DL>
<DD>The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_STATEMENT_DEFAULT__NAME"><!-- --></A><H3>
SQL_STATEMENT_DEFAULT__NAME</H3>
<PRE>
public static final int <B>SQL_STATEMENT_DEFAULT__NAME</B></PRE>
<DL>
<DD>The feature id for the '<em><b>Name</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_STATEMENT_DEFAULT__DEPENDENCIES"><!-- --></A><H3>
SQL_STATEMENT_DEFAULT__DEPENDENCIES</H3>
<PRE>
public static final int <B>SQL_STATEMENT_DEFAULT__DEPENDENCIES</B></PRE>
<DL>
<DD>The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_STATEMENT_DEFAULT__DESCRIPTION"><!-- --></A><H3>
SQL_STATEMENT_DEFAULT__DESCRIPTION</H3>
<PRE>
public static final int <B>SQL_STATEMENT_DEFAULT__DESCRIPTION</B></PRE>
<DL>
<DD>The feature id for the '<em><b>Description</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_STATEMENT_DEFAULT__LABEL"><!-- --></A><H3>
SQL_STATEMENT_DEFAULT__LABEL</H3>
<PRE>
public static final int <B>SQL_STATEMENT_DEFAULT__LABEL</B></PRE>
<DL>
<DD>The feature id for the '<em><b>Label</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_STATEMENT_DEFAULT__SQL"><!-- --></A><H3>
SQL_STATEMENT_DEFAULT__SQL</H3>
<PRE>
public static final int <B>SQL_STATEMENT_DEFAULT__SQL</B></PRE>
<DL>
<DD>The feature id for the '<em><b>SQL</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_STATEMENT_DEFAULT_FEATURE_COUNT"><!-- --></A><H3>
SQL_STATEMENT_DEFAULT_FEATURE_COUNT</H3>
<PRE>
public static final int <B>SQL_STATEMENT_DEFAULT_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>SQL Statement Default</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_CONNECTION_STATEMENT"><!-- --></A><H3>
SQL_CONNECTION_STATEMENT</H3>
<PRE>
public static final int <B>SQL_CONNECTION_STATEMENT</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLConnectionStatement.html"><CODE><em>SQL Connection Statement</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLConnectionStatement.html"><CODE>SQLConnectionStatement</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/impl/SQLStatementsPackageImpl.html#getSQLConnectionStatement()"><CODE>SQLStatementsPackageImpl.getSQLConnectionStatement()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="SQL_CONNECTION_STATEMENT_FEATURE_COUNT"><!-- --></A><H3>
SQL_CONNECTION_STATEMENT_FEATURE_COUNT</H3>
<PRE>
public static final int <B>SQL_CONNECTION_STATEMENT_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>SQL Connection Statement</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_DIAGNOSTICS_STATEMENT"><!-- --></A><H3>
SQL_DIAGNOSTICS_STATEMENT</H3>
<PRE>
public static final int <B>SQL_DIAGNOSTICS_STATEMENT</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDiagnosticsStatement.html"><CODE><em>SQL Diagnostics Statement</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDiagnosticsStatement.html"><CODE>SQLDiagnosticsStatement</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/impl/SQLStatementsPackageImpl.html#getSQLDiagnosticsStatement()"><CODE>SQLStatementsPackageImpl.getSQLDiagnosticsStatement()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="SQL_DIAGNOSTICS_STATEMENT_FEATURE_COUNT"><!-- --></A><H3>
SQL_DIAGNOSTICS_STATEMENT_FEATURE_COUNT</H3>
<PRE>
public static final int <B>SQL_DIAGNOSTICS_STATEMENT_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>SQL Diagnostics Statement</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_DYNAMIC_STATEMENT"><!-- --></A><H3>
SQL_DYNAMIC_STATEMENT</H3>
<PRE>
public static final int <B>SQL_DYNAMIC_STATEMENT</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDynamicStatement.html"><CODE><em>SQL Dynamic Statement</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDynamicStatement.html"><CODE>SQLDynamicStatement</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/impl/SQLStatementsPackageImpl.html#getSQLDynamicStatement()"><CODE>SQLStatementsPackageImpl.getSQLDynamicStatement()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="SQL_DYNAMIC_STATEMENT_FEATURE_COUNT"><!-- --></A><H3>
SQL_DYNAMIC_STATEMENT_FEATURE_COUNT</H3>
<PRE>
public static final int <B>SQL_DYNAMIC_STATEMENT_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>SQL Dynamic Statement</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_SESSION_STATEMENT"><!-- --></A><H3>
SQL_SESSION_STATEMENT</H3>
<PRE>
public static final int <B>SQL_SESSION_STATEMENT</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLSessionStatement.html"><CODE><em>SQL Session Statement</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLSessionStatement.html"><CODE>SQLSessionStatement</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/impl/SQLStatementsPackageImpl.html#getSQLSessionStatement()"><CODE>SQLStatementsPackageImpl.getSQLSessionStatement()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="SQL_SESSION_STATEMENT_FEATURE_COUNT"><!-- --></A><H3>
SQL_SESSION_STATEMENT_FEATURE_COUNT</H3>
<PRE>
public static final int <B>SQL_SESSION_STATEMENT_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>SQL Session Statement</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="SQL_TRANSACTION_STATEMENT"><!-- --></A><H3>
SQL_TRANSACTION_STATEMENT</H3>
<PRE>
public static final int <B>SQL_TRANSACTION_STATEMENT</B></PRE>
<DL>
<DD>The meta object id for the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLTransactionStatement.html"><CODE><em>SQL Transaction Statement</em></CODE></A>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLTransactionStatement.html"><CODE>SQLTransactionStatement</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/impl/SQLStatementsPackageImpl.html#getSQLTransactionStatement()"><CODE>SQLStatementsPackageImpl.getSQLTransactionStatement()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="SQL_TRANSACTION_STATEMENT_FEATURE_COUNT"><!-- --></A><H3>
SQL_TRANSACTION_STATEMENT_FEATURE_COUNT</H3>
<PRE>
public static final int <B>SQL_TRANSACTION_STATEMENT_FEATURE_COUNT</B></PRE>
<DL>
<DD>The number of structural features of the the '<em>SQL Transaction Statement</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="getSQLStatement()"><!-- --></A><H3>
getSQLStatement</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getSQLStatement</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatement.html"><CODE><em>SQL Statement</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>SQL Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatement.html"><CODE>SQLStatement</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSQLDataStatement()"><!-- --></A><H3>
getSQLDataStatement</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getSQLDataStatement</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDataStatement.html"><CODE><em>SQL Data Statement</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>SQL Data Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDataStatement.html"><CODE>SQLDataStatement</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSQLSchemaStatement()"><!-- --></A><H3>
getSQLSchemaStatement</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getSQLSchemaStatement</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLSchemaStatement.html"><CODE><em>SQL Schema Statement</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>SQL Schema Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLSchemaStatement.html"><CODE>SQLSchemaStatement</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSQLControlStatement()"><!-- --></A><H3>
getSQLControlStatement</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getSQLControlStatement</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLControlStatement.html"><CODE><em>SQL Control Statement</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>SQL Control Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLControlStatement.html"><CODE>SQLControlStatement</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSQLDataChangeStatement()"><!-- --></A><H3>
getSQLDataChangeStatement</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getSQLDataChangeStatement</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDataChangeStatement.html"><CODE><em>SQL Data Change Statement</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>SQL Data Change Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDataChangeStatement.html"><CODE>SQLDataChangeStatement</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSQLStatementDefault()"><!-- --></A><H3>
getSQLStatementDefault</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getSQLStatementDefault</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementDefault.html"><CODE><em>SQL Statement Default</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>SQL Statement Default</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementDefault.html"><CODE>SQLStatementDefault</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSQLStatementDefault_SQL()"><!-- --></A><H3>
getSQLStatementDefault_SQL</H3>
<PRE>
public org.eclipse.emf.ecore.EAttribute <B>getSQLStatementDefault_SQL</B>()</PRE>
<DL>
<DD>Returns the meta object for the attribute '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementDefault.html#getSQL()"><CODE><em>SQL</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for the attribute '<em>SQL</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementDefault.html#getSQL()"><CODE>SQLStatementDefault.getSQL()</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsPackage.html#getSQLStatementDefault()"><CODE>getSQLStatementDefault()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSQLConnectionStatement()"><!-- --></A><H3>
getSQLConnectionStatement</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getSQLConnectionStatement</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLConnectionStatement.html"><CODE><em>SQL Connection Statement</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>SQL Connection Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLConnectionStatement.html"><CODE>SQLConnectionStatement</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSQLDiagnosticsStatement()"><!-- --></A><H3>
getSQLDiagnosticsStatement</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getSQLDiagnosticsStatement</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDiagnosticsStatement.html"><CODE><em>SQL Diagnostics Statement</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>SQL Diagnostics Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDiagnosticsStatement.html"><CODE>SQLDiagnosticsStatement</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSQLDynamicStatement()"><!-- --></A><H3>
getSQLDynamicStatement</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getSQLDynamicStatement</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDynamicStatement.html"><CODE><em>SQL Dynamic Statement</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>SQL Dynamic Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLDynamicStatement.html"><CODE>SQLDynamicStatement</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSQLSessionStatement()"><!-- --></A><H3>
getSQLSessionStatement</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getSQLSessionStatement</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLSessionStatement.html"><CODE><em>SQL Session Statement</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>SQL Session Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLSessionStatement.html"><CODE>SQLSessionStatement</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSQLTransactionStatement()"><!-- --></A><H3>
getSQLTransactionStatement</H3>
<PRE>
public org.eclipse.emf.ecore.EClass <B>getSQLTransactionStatement</B>()</PRE>
<DL>
<DD>Returns the meta object for class '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLTransactionStatement.html"><CODE><em>SQL Transaction Statement</em></CODE></A>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the meta object for class '<em>SQL Transaction Statement</em>'.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLTransactionStatement.html"><CODE>SQLTransactionStatement</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSQLStatementsFactory()"><!-- --></A><H3>
getSQLStatementsFactory</H3>
<PRE>
public <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsFactory.html">SQLStatementsFactory</A> <B>getSQLStatementsFactory</B>()</PRE>
<DL>
<DD>Returns the factory that creates the instances of the model.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the factory that creates the instances of the model.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SQLStatementsPackage.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLStatementsFactory.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/statements/SQLTransactionStatement.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SQLStatementsPackage.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
